v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/resupply/resupply
Creates a resupply strategy for a study. Rights: OrsSupplyManagerPost. If the Resupply type is Predictive for any site and Trigger weeks and Resupply weeks aren't defined for any resupplykit type, a configuration exception is thrown. If Min/Max buffers aren't defined, the resupply strategy would use 0for the buffers. No exception is thrown.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : ResupplyRequest v1.0
Type:
objectTitle:
ResupplyRequest v1.0Resupply request object.
Show Source
-
jobInstanceId: string
Title:
Job Instance IDJob instance ID.Example:4FEBE3E166454E2687C6FAC306E7C86E
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object ResupplyResponse
Title:
ResupplyResponseResponse object containing resupply details.
Nested Schema : ResupplyResponse
Type:
objectTitle:
ResupplyResponseResponse object containing resupply details.
Show Source
-
orderId: string
(uuid)
Order ID.
-
status: string
Allowed Values:
[ "PENDING", "INTRANSIT", "RECEIVED", "CANCELLED", "LOST", "CONFIRMED", "INVALID", "PENDING_DESTRUCTION", "RECEIVED_FOR_DESTRUCTION", "DESTROYED" ]Order status.Example:DESTROYED
Examples
404 Response
Not found
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : details
Type:
objectExamples